!
! Module:dss_aux
!
! Authors:  Ian Stewart - SSC/LUX
!          
! Description: Contains auxiliary routines to do with the data subspace (DSS).
! 
! Comments: TODO:
! 
! $Id: dss_aux.f90,v 1.6 1998/05/27 13:45:39 gvacanti Exp $
!- 
module dss_aux

  use dal
  use errorHandling
  use dss

!  use fits_utils
!  use ssc_misc
!use sort_mod ! only used in quickSortStatic, which probably should be elsewhere.

  implicit none 

  private 

  public copyRange

contains 

  !---------------------------------------------------------------------
  function copyRange(inRange) result(outRange)
  !---------------------------------------------------------------------

    implicit none

    type(RangeT), intent(in) :: inRange
    type(RangeT) :: outRange

    !-------------------------------------------------------------------
    ! Start

    outRange%lower%type  = inRange%lower%type
    outRange%lower%value = inRange%lower%value
    outRange%upper%type  = inRange%upper%type
    outRange%upper%value = inRange%upper%value

  end function copyRange

  !---------------------------------------------------------------------
  subroutine template
  !---------------------------------------------------------------------

    implicit none

    !-------------------------------------------------------------------
    ! Start

  end subroutine template

end module dss_aux
