MODULE get_free_io_unit_mod

  IMPLICIT NONE

  PUBLIC

CONTAINS

  SUBROUTINE get_free_io_unit(nunit)

    IMPLICIT NONE
    INTEGER, INTENT(out) :: nunit   ! unit number free for use
    LOGICAL exists, OPEN

    DO nunit = 99, 0, -1
       INQUIRE(unit=nunit, exist=exists, opened=OPEN)
       IF(exists .AND. .NOT. OPEN) RETURN
    END DO

  END SUBROUTINE get_free_io_unit

END MODULE get_free_io_unit_mod
